# -*- encoding: utf-8 -*-
# stub: data_objects 0.10.17 ruby lib

Gem::Specification.new do |s|
  s.name = "data_objects".freeze
  s.version = "0.10.17"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dirkjan Bussink".freeze]
  s.date = "2020-02-04"
  s.description = "Provide a standard and simplified API for communicating with RDBMS from Ruby".freeze
  s.email = "d.bussink@gmail.com".freeze
  s.extra_rdoc_files = ["README.markdown".freeze]
  s.files = ["ChangeLog.markdown".freeze, "LICENSE".freeze, "README.markdown".freeze, "Rakefile".freeze, "lib/data_objects.rb".freeze, "lib/data_objects/byte_array.rb".freeze, "lib/data_objects/command.rb".freeze, "lib/data_objects/connection.rb".freeze, "lib/data_objects/error.rb".freeze, "lib/data_objects/error/connection_error.rb".freeze, "lib/data_objects/error/data_error.rb".freeze, "lib/data_objects/error/integrity_error.rb".freeze, "lib/data_objects/error/sql_error.rb".freeze, "lib/data_objects/error/syntax_error.rb".freeze, "lib/data_objects/error/transaction_error.rb".freeze, "lib/data_objects/extension.rb".freeze, "lib/data_objects/logger.rb".freeze, "lib/data_objects/pooling.rb".freeze, "lib/data_objects/quoting.rb".freeze, "lib/data_objects/reader.rb".freeze, "lib/data_objects/result.rb".freeze, "lib/data_objects/spec/lib/pending_helpers.rb".freeze, "lib/data_objects/spec/lib/ssl.rb".freeze, "lib/data_objects/spec/setup.rb".freeze, "lib/data_objects/spec/shared/command_spec.rb".freeze, "lib/data_objects/spec/shared/connection_spec.rb".freeze, "lib/data_objects/spec/shared/encoding_spec.rb".freeze, "lib/data_objects/spec/shared/error/sql_error_spec.rb".freeze, "lib/data_objects/spec/shared/quoting_spec.rb".freeze, "lib/data_objects/spec/shared/reader_spec.rb".freeze, "lib/data_objects/spec/shared/result_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/array_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/bigdecimal_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/boolean_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/byte_array_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/class_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/date_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/datetime_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/float_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/integer_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/ipaddr_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/nil_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/other_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/range_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/string_spec.rb".freeze, "lib/data_objects/spec/shared/typecast/time_spec.rb".freeze, "lib/data_objects/transaction.rb".freeze, "lib/data_objects/uri.rb".freeze, "lib/data_objects/utilities.rb".freeze, "lib/data_objects/version.rb".freeze, "spec/command_spec.rb".freeze, "spec/connection_spec.rb".freeze, "spec/do_mock.rb".freeze, "spec/do_mock2.rb".freeze, "spec/pooling_spec.rb".freeze, "spec/reader_spec.rb".freeze, "spec/result_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/transaction_spec.rb".freeze, "spec/uri_spec.rb".freeze, "tasks/release.rake".freeze, "tasks/spec.rake".freeze, "tasks/yard.rake".freeze, "tasks/yardstick.rake".freeze]
  s.homepage = "http://github.com/datamapper/do".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "DataObjects basic API and shared driver specifications".freeze
  s.test_files = ["spec/command_spec.rb".freeze, "spec/connection_spec.rb".freeze, "spec/do_mock.rb".freeze, "spec/do_mock2.rb".freeze, "spec/pooling_spec.rb".freeze, "spec/reader_spec.rb".freeze, "spec/result_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/transaction_spec.rb".freeze, "spec/uri_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.1"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_development_dependency(%q<yard>.freeze, ["~> 0.5"])
    else
      s.add_dependency(%q<addressable>.freeze, ["~> 2.1"])
      s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
      s.add_dependency(%q<yard>.freeze, ["~> 0.5"])
    end
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.5"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.5"])
  end
end
